/* Soma - Copyright (C) 2003-5 Bakunin - Andrea Marchesini
 *                                       <bakunin@autistici.org>
 *
 * This source code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Public License as published 
 * by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 *
 * This source code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * Please refer to the GNU Public License for more details.
 *
 * You should have received a copy of the GNU Public License along with
 * this source code; if not, write to:
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#define SOMA_VERSION 	"1.10"
#define SOMA_AUTHOR 	"Andrea Marchesini - bakunin"
#define SOMA_AUTHOR_EMAIL "bakunin <bakunin@autistici.org>"
#define SOMA_COPYRIGHT 	"Copyright (C) 2003-5"

#define SOMA_FILE_CFG	"/etc/somad/soma.cfg"
#define SOMA_FILE_PID	"/var/run/somad.pid"
#define SOMA_TMP_DIR	"/tmp"
#define SOMA_PATH_MOD	"/usr/share/soma"
#define SOMA_PASS_LEN	20
#define SOMA_PROC_DIR	"/proc"

#define SOMA_PORT    	12521
#define SOMA_LISTEN    	5
#define SOMA_MAX_BUFF  	1024

#define PATH_SONG		0
#define PATH_SPOT		1
#define DISTRIBUITED_PATH	2

#define PALINSESTO_STRUCT \
    CFG_STR ("Description", NULL, CFGF_NONE), \
    \
    /* Sintax of Start and Stop: yyyy-mm-dd day hh:mm */ \
    CFG_STR ("Start", NULL, CFGF_NONE), \
    CFG_STR ("Stop", NULL, CFGF_NONE), \
    CFG_BOOL ("TimeContinued", cfg_false, CFGF_NONE), \
    \
    CFG_STR ("Type", STR_FILES, CFGF_NONE), \
    \
    CFG_STR ("Module", NULL, CFGF_NONE), \
    CFG_BOOL ("Random", cfg_false, CFGF_NONE), \
    CFG_BOOL ("SoftStop", cfg_false, CFGF_NONE), \
    CFG_INT ("RatioSong", 1, CFGF_NONE), \
    CFG_INT ("RatioSpot", 0, CFGF_NONE), \
    CFG_STR_LIST ("PathSong", "{}", CFGF_NONE), \
    CFG_STR_LIST ("PathSpot", "{}", CFGF_NONE), \
    CFG_STR ("Stream", NULL, CFGF_NONE), \
    CFG_STR ("Jingle", NULL, CFGF_NONE), \
    CFG_FUNC ("Include", &cfg_include), \
    CFG_END ()

#define CONFIG_PALINSESTO_STRUCT \
   CFG_SEC ("Palinsesto", palinsesto_opts, CFGF_MULTI), \
   CFG_FUNC ("Include", &cfg_include), \
   CFG_END ()

#define CONFIG_STRUCT \
    CFG_STR ("User", 0, CFGF_NONE), \
    CFG_BOOL ("Background", cfg_false, CFGF_NONE), \
    CFG_STR ("ServerName", NULL, CFGF_NONE), \
    CFG_INT ("Port", SOMA_PORT, CFGF_NONE), \
    CFG_INT ("Listen", SOMA_LISTEN, CFGF_NONE), \
    CFG_STR ("Password", NULL, CFGF_NONE), \
    CFG_INT ("Debug", 3, CFGF_NONE), \
    CFG_STR ("LogFile", NULL, CFGF_NONE), \
    CFG_STR ("PidFile", NULL, CFGF_NONE), \
    CFG_STR_LIST ("PathSong", "{}", CFGF_NONE), \
    CFG_STR_LIST ("PathSpot", "{}", CFGF_NONE), \
    CFG_STR ("ProgramSong", NULL, CFGF_NONE), \
    CFG_STR ("OptionsSong", NULL, CFGF_NONE), \
    CFG_STR ("ProgramStream", NULL, CFGF_NONE), \
    CFG_STR ("OptionsStream", NULL, CFGF_NONE), \
    CFG_STR ("Palinsesto", NULL, CFGF_NONE), \
    CFG_STR ("PathModules", NULL, CFGF_NONE), \
    CFG_STR ("DistribuitedWork", NULL, CFGF_NONE), \
    CFG_STR_LIST ("DistribuitedPath", NULL, CFGF_NONE), \
    CFG_END ()

/* EOF */
