/* Soma - Copyright (C) 2003-5 Bakunin - Andrea Marchesini
 *                                       <bakunin@autistici.org>
 *
 * This source code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Public License as published 
 * by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 *
 * This source code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * Please refer to the GNU Public License for more details.
 *
 * You should have received a copy of the GNU Public License along with
 * this source code; if not, write to:
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <sys/types.h>
#include <time.h>

#define SOMA_ERR_CONNECT	-5
#define SOMA_ERR_HOST		-4
#define SOMA_ERR_PROTOCOL	-3
#define SOMA_ERR_PASSWORD	-2
#define SOMA_ERR_POSIX		-1
#define SOMA_ERR_OK		0
#define SOMA_ERR_USER		1

#ifdef __cplusplus
extern "C"
{
#endif

  typedef struct
  {
    char *server;
    int port;

    char *password;

    int error;

  } soma_controller;

  soma_controller *soma_open(char *server, int port, char *password);
  int soma_free(soma_controller *c);

  char *soma_status(soma_controller *c);
  int soma_read_palinsesto(soma_controller *c);
  int soma_read_directory(soma_controller *c);
  int soma_new_palinsesto(soma_controller *c, char *file);
  char* soma_get_palinsesto(soma_controller *c);
  int soma_old_palinsesto(soma_controller *c);
  int soma_check_password(soma_controller *c);
  int soma_quit(soma_controller *c);
  int soma_stop(soma_controller *c, int time);
  int soma_start(soma_controller *c);
  int soma_running(soma_controller *c);
  time_t soma_time(soma_controller *c);
  int soma_nextsong_set(soma_controller *c, char *song);
  int soma_nextsong_path_set(soma_controller *c, char *song);
  char **soma_nextsong_list(soma_controller *c);
  int soma_nextsong_remove(soma_controller *c, int id); /* 0 first, -1 last */
  char **soma_get_path(soma_controller *c, char *);
  
  int soma_error(soma_controller *c);

#ifdef __cplusplus
}
#endif
